---
include:
  - project: shore/ci-stuff
    file: templates/pre-commit.yml
  - project: shore/ci-stuff
    file: templates/docker.yml

stages:
  - test
  - build
  - deploy

build:
  extends: .compose-build
  tags: ["$CI_COMMIT_BRANCH.shore.co.il"]
  rules:
    # yamllint disable-line rule:line-length
    - if: &if $CI_COMMIT_BRANCH == "host01" || $CI_COMMIT_BRANCH == "ns4" || $CI_COMMIT_BRANCH
        == "kodi"

pull:
  extends: .compose-pull
  tags: ["$CI_COMMIT_BRANCH.shore.co.il"]
  rules:
    - if: *if

run:
  extends: .compose-run
  tags: ["$CI_COMMIT_BRANCH.shore.co.il"]
  rules:
    - if: *if
      when: manual
